package com.qmth.sop.business.bean.report;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 质量监控分析报表详情bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QualityAnalyseReportViewExportBean implements Serializable {

    @ApiModelProperty(value = "客户名称")
    @ExcelProperty(value = "客户名称", order = 1)
    String customName;

    @ApiModelProperty(value = "项目名称")
    @ExcelProperty(value = "项目名称", order = 2)
    String projectName;

    @ApiModelProperty(value = "科目名称")
    @ExcelProperty(value = "科目名称", order = 3)
    String courseName;

    @ApiModelProperty(value = "影响度：A，B，C，D")
    @ExcelProperty(value = "影响度", order = 4)
    String influenceDegree;

    @ApiModelProperty(value = "大区经理")
    @ExcelProperty(value = "大区经理", order = 5)
    String areaManagerName;

    @ApiModelProperty(value = "责任人")
    @ExcelProperty(value = "责任人", order = 6)
    String dutyName;

    @ApiModelProperty(value = "问题简要")
    @ExcelProperty(value = "问题简要", order = 7)
    String summary;

    @ApiModelProperty(value = "问题原因str")
    @ExcelProperty(value = "问题原因", order = 8)
    String reasonStr;

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getInfluenceDegree() {
        return influenceDegree;
    }

    public void setInfluenceDegree(String influenceDegree) {
        this.influenceDegree = influenceDegree;
    }

    public String getAreaManagerName() {
        return areaManagerName;
    }

    public void setAreaManagerName(String areaManagerName) {
        this.areaManagerName = areaManagerName;
    }

    public String getDutyName() {
        return dutyName;
    }

    public void setDutyName(String dutyName) {
        this.dutyName = dutyName;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getReasonStr() {
        return reasonStr;
    }

    public void setReasonStr(String reasonStr) {
        this.reasonStr = reasonStr;
    }
}
